using UnityEngine;

/// <summary>
/// Link zum OG Script: https://pastebin.com/jD62XeKQ
/// </summary>
public class ParallaxCamera : MonoBehaviour
{
    // delegate -> type; safely encapsulate a method
    public delegate void ParallaxCameraDelegate(float deltaMovement);
    public ParallaxCameraDelegate onCameraTranslate;

    private float oldPosition;

    void Start()
    {
        oldPosition = transform.position.x;
    }

    void Update()
    {
        if (transform.position.x != oldPosition)
        {
            if (onCameraTranslate != null)
            {
                float delta = oldPosition - transform.position.x;
                onCameraTranslate(delta);
            }

            oldPosition = transform.position.x;
        }
    }
}
